Package org.bukkit.block.data

# Interface Ageable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Bamboo`, `CaveVines`, `Cocoa`, `Fire`

public interface Ageable extends BlockData
'age' represents the different growth stages that a crop-like block can go through.
A value of 0 indicates that the crop was freshly planted, whilst a value equal to `getMaximumAge()` indicates that the crop is ripe and ready to be harvested.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAge()`
Gets the value of the 'age' property.
`int`
`getMaximumAge()`
Gets the maximum allowed value of the 'age' property.
`void`
`setAge(int age)`
Sets the value of the 'age' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getAge

int getAge()
Gets the value of the 'age' property.

Returns:
  the 'age' value

### setAge

void setAge(int age)
Sets the value of the 'age' property.

Parameters:
  `age` - the new 'age' value

### getMaximumAge

int getMaximumAge()
Gets the maximum allowed value of the 'age' property.

Returns:
  the maximum 'age' value